<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "DTD/xhtml1-strict.dtd">
<%@page language="java" contentType="text/html;charset=utf-8" session="false"%>
<%@ taglib uri="http://www.mmbase.org/mmbase-taglib-1.0" prefix="mm"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@	taglib uri="http://java.sun.com/jsp/jstl/functions" prefix="fn"%>
<%@	taglib uri="http://mmapps.sourceforge.net/lucenemodule/taglib" prefix="lm"%>
<mm:content type="text/html">
	<html>
	<head>
	<title>Lucenemodule demo</title>
	<link rel="stylesheet" href="mmbase/style/css/mmbase.css" type="text/css" />
	<link rel="icon" href="<mm:url page="/mmbase/style/images/favicon.ico" />" type="image/x-icon" />
	<link rel="shortcut icon" href="<mm:url page="/mmbase/style/images/favicon.ico" />" type="image/x-icon" />
	</head>
	<body>
	<h1>Lucenemodule MyNews demo</h1>
	<form method="post">
	<table border="1">
		<tr>
			<td>search for any news item with text</td>
			<td><input type="text" name="query" value="<c:out value="${param.query}"/>" /></td>
		</tr>
		<tr>
			<td>search for people writing news</td>
			<td><input type="text" name="people" value="<c:out value="${param.people}"/>" /></td>
		</tr>
		<tr>
			<td>has image</td>
			<td><input name="hasimage" type="checkbox" value="1" /></td>
		</tr>
		<tr>
			<td>has url</td>
			<td><input name="hasurl" type="checkbox" value="1" /></td>
		</tr>
		<tr>
			<td></td>
			<td><input type="submit" value="Search" /></td>
		</tr>
	</table>
	</form>
	<lm:search var="results">
		<lm:match field="indexed.text" value="${param.query}" />
		<lm:match field="indexed.news.people" value="${param.people}" />
		<lm:match field="news.image" value="${param.hasimage}" />
		<lm:match field="news.url" value="${param.hasurl}" />
	</lm:search>
	<mm:cloud>
		<h2>${fn:length(results)} search result(s):</h2>
		<hr />
		<c:forEach var="n" items="${results}" varStatus="stat">
			<mm:node number="${n.number}" notfound="skip">
				<b><mm:field name="title" /></b> (<fmt:formatNumber value="${n.score}" type="percent" />)
				<mm:field name="subtitle" />
				<div class="intro"><mm:field name="intro" escape="p" /></div>
				<mm:relatednodes type="images" role="posrel" orderby="posrel.pos" max="3">
					<mm:first>
						<i>Related images</i>
					</mm:first>
					<img src="<mm:image template="s(200)" />" alt="<mm:field name="title" />" />
					<mm:last>
						<br />
					</mm:last>
				</mm:relatednodes>
				<%-- the 'old' way to sort on posrel was like this (using 'clusternodes') --%>
				<mm:related path="posrel,urls" orderby="posrel.pos" max="3">
					<mm:first>
						<i>Related urls</i>
						<ul>
					</mm:first>
					<li><a href="<mm:field name="urls.url"/>"><mm:field name="urls.description" /></a></li>
					<mm:last>
					</ul>
					</mm:last>
				</mm:related>
				<mm:relatednodes type="people">
					<mm:first>
						<i>Author(s):</i>
					</mm:first>
					<mm:field name="firstname" />
					<mm:field name="lastname" />
					<mm:last>
						<br />
					</mm:last>
				</mm:relatednodes>
				<hr />
			</mm:node>
			<p />
		</c:forEach>
	</mm:cloud>
	</body>
	</html>
</mm:content>
